/* Bootstrap */


/* L'Alpe des 3 */
@font-face {
    font-family: Abadi;
    src: url("../fonts/AbadiMT.ttf") format("truetype");
    font-weight: 400;
}
@font-face {
    font-family: Abadi;
    src: url("../fonts/AbadiMT-Bold.ttf") format("truetype");
    font-weight: 700;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-Bold.ttf");
    font-weight: bold;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-BoldItalic.ttf");
    font-weight: bold;
    font-style: italic;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-Italic.ttf");
    font-style: italic;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-Medium.ttf");
    font-weight: 500;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-MediumItalic.ttf");
    font-weight: 500;
    font-style: italic;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-Regular.ttf");
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-SemiBold.ttf");
    font-weight: 600;
}
@font-face {
    font-family: "Asap";
    src: url("../fonts/Asap-SemiBoldItalic.ttf");
    font-weight: 600;
    font-style: italic;
}

html, body {
    /*font-family: 'Open Sans', Arial, sans-serif;*/
    font-family: Abadi;
}
body {
    background: url('../images/Bois.jpg');
    background-attachment: fixed;
    background-size: 600px;
}
.container-fluid {
    max-width: 1200px;
    padding: 0 0 2rem 0;
    background: url('../images/Montagnes.png');
    background-attachment: fixed;
    background-size: 400px;
}
.onglets {
    position: fixed;
    z-index: 1;
    width: 100%;
    max-width: 1200px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: calc(.25rem + 1vw);
    /*background: linear-gradient(rgba(255, 255, 255, .9) 70%, transparent);*/
    background-color: rgba(255,255, 255, .9);
    border-bottom: 1px solid lightgray;
    transition: .5s;
}
.onglets:has(a[href$='#Accueil'].active) {
    padding-left: calc(130px - 10vh);
    background-color: inherit;
    background-color: inherit;
    border: none;
}
.onglets a {
    text-transform: uppercase;
    text-underline-offset: .5rem;
    transition: .5s;
}
.onglets:has(a[href$='#Accueil'].active) a {
    color: white;
    /*text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;*/
    text-shadow: -1px -1px 0 #0d3774, 1px -1px 0 #0d3774, -1px 1px 0 #0d3774, 1px 1px 0 #0d3774;
    /*font-weight: 700;*/
}
.onglets a:not(.active) {
    text-decoration-color: transparent;
    text-decoration: none; /* problème avec transparent + shadow */
}
h1, h2, h3, h4 {
    font-family: Asap;
}
h1, h2 a, h3, h4 {
    color: #0d3774;
    font-weight: 700;
}
h1, h3 {
    text-align: center;
}
h1 {
    font-size: 1.5rem;
}
h2 {
    font-size: calc(.55rem + .9vw);
    margin: 0;
}
h3 {
    font-size: 1rem;
}
h4 {
    margin-top: 1.5rem;
}
#Photos, #Appartement {
    padding-top: 2rem;
}
#Photos h4 {
    color: brown;
    text-transform: uppercase;
    font-size: calc(1rem + .3vw);
}
.photos {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    row-gap: .75rem;
    align-items: center;
}
.photos > a {
    width: 1200px;
    max-width: calc(100% - 1.5rem);
    text-align: center;
}
.photos > a > img {
    max-width: 100%;
    max-height: 582px;
}
@media (min-width: 576px) {
    .photos > a {
        max-width: calc((100% - 2.25rem) / 2);
    }
}
@media (min-width: 768px) {
    h1 {
        font-size: calc(1.25rem + .9vw);
    }
    h3 {
        font-size: 1.5rem;
    }
}
@media (min-width: 1200px) {
    h1 {
        font-size: 2rem;
    }
    h2 {
        font-size: 1.25rem;
    }
/*    .photos a {
        max-width: calc((100% - 3rem) / 3);
    }*/
}

.carousel, .carousel-inner, .carousel-item, .carousel-item > div {
    height: 100%;
}
.carousel-item > div {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #777;
}
.carousel-item > div > img {
    max-width: 100%;
    max-height: 100%;
}
.carousel-control-next, .carousel-control-prev {
    width: 10%;
}
.carousel.pointer-event {
  touch-action: pan-y pinch-zoom;
}
.btn-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    z-index: 2;
}

/* Template */
h1:focus {
    outline: none;
}
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}
.invalid {
    outline: 1px solid #e50000;
}
.validation-message {
    color: #e50000;
}
.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
.darker-border-checkbox.form-check-input {
    border-color: #929292;
}